#
# spec file for package klamav (Version 0.41.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 clamav coreutils cpio cpp cpp41 cracklib cups-devel cups-libs curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gmp gmp-devel gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd latex2html-pngicons less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite sqlite-devel strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           klamav
BuildRequires:  clamav curl-devel gmp-devel kdelibs3-devel sqlite-devel
%if %suse_version > 1020
BuildRequires:  fdupes
%endif
Url:            http://klamav.sourceforge.net/
License:        GPL v2 or later
Group:          Productivity/Security
Summary:        Frontend for clamav
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        0.41.1
Release:        17.5
Source0:        klamav-%{version}-source.tar.bz2
Patch:          FIXME.diff
Patch1:         remove-faulty-comment.diff
Patch2:         khtml-restrict.diff
Patch3:         remove-copies.diff
Patch4:         external-sqlite.diff
Patch5:         disable-archive-quarantine.diff
Patch6:         archivelimits-default.diff
Patch7:         build-c.diff
Patch8:         disable-klammail.diff

%description
A KDE front-end for the Clam AntiVirus antivirus toolkit.



Authors:
--------
    Robert Hogan <robert@roberthogan.net>

%debug_package
%prep
%setup -q -n "klamav-%{version}-source/klamav-%{version}"
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
. /etc/opt/kde3/common_options
rm -rf src/klamd src/sqlite
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde \
%ifarch amd64 x86_64 ia32e ppc64 s390x
	--enable-libsuffix=64 \
%endif
        --disable-final \
        --without-included-sqlite
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%suse_update_desktop_file %name Utility Security
kde_post_install
%find_lang %name
chmod a+x $RPM_BUILD_ROOT/opt/kde3/bin/ScanWithKlamAV
%if %suse_version > 1020
%fdupes $RPM_BUILD_ROOT/opt/kde3/share/
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc  README AUTHORS ChangeLog COPYING NEWS TODO
/opt/kde3/bin/ScanWithKlamAV
/opt/kde3/bin/klamarkollon
/opt/kde3/bin/klamav
/opt/kde3/share/applications/kde/klamav.desktop
/opt/kde3/share/apps/klamav
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/klamav-dropdown.desktop
/opt/kde3/share/config.kcfg/klamavconfig.kcfg
/opt/kde3/share/icons/*/*/*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/klamav02

%changelog
* Tue Apr 22 2008 - dmueller@suse.de
- remove klammail as it no longer builds against clamav
* Wed Aug 22 2007 - dmueller@suse.de
- fix GUI for default archiving options (#302279)
- build with system sqlite
- remove clamav deep copy (#302070)
- switch to not quarantine archives by default (#302279)
* Fri Jul 27 2007 - stbinner@suse.de
- update to 0.41.1:
  * Fix pop-up menu position on OSD
  * Compatibility changes for 0.90 series
* Fri Jun 01 2007 - coolo@suse.de
- fix build / use kde_post_install
* Mon Feb 26 2007 - dmueller@suse.de
- add patch for crash during update checking
* Mon Feb 26 2007 - dmueller@suse.de
- update to 0.41:
  * no upstream changelog available
  * build against clamav 0.9x
* Mon Nov 20 2006 - stbinner@suse.de
- remove wrong comment and make ScanWithKlamAV executable (#220151)
* Tue Aug 01 2006 - stbinner@suse.de
- Update to version 0.38:
  * Don't follow directory symlinks when counting prior to scan
  * Change viruspool URL
  * Do not calculate scan time from scheduled/service menu scans.
  * Fix KlamAV update process.
* Mon May 22 2006 - stbinner@suse.de
- Initial package of version 0.37
